import com.burtbeckwith.mdctest.Role
import com.burtbeckwith.mdctest.User
import com.burtbeckwith.mdctest.UserRole

class BootStrap {

	def springSecurityService

	def init = { servletContext ->
		def role = new Role(authority: 'ROLE_ADMIN').save()
		def admin = new User(username: 'admin', enabled: true, password: springSecurityService.encodePassword('password')).save(failOnError: true)
		UserRole.create admin, role, true
	}
}

