package com.burtbeckwith.mdctest

import org.apache.log4j.MDC

class LoggingFilters {

	def filters = {
		all(controller:'*', action:'*') {
			before = {
				MDC.put 'username', request.userPrincipal?.name ?: 'N/A'
			}
			afterView = { e ->
				MDC.remove 'username'
			}
		}
	}
}

